{
  "editor.tabSize": 2,
  "editor.formatOnSave": true,
  "editor.codeActionsOnSave": {
    // For ESLint
    "source.fixAll.eslint": true,
    // For TSLint
    "source.fixAll.tslint": true,
    // For Stylelint
    "source.fixAll.stylelint": true
  },
  "[javascript]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "files.eol": "\n",
  "files.watcherExclude": {
    "**/node_modules/**": true
  },
  "eslint.packageManager": "yarn",
  "eslint.validate": ["javascript", "javascriptreact"],
  "eslint.workingDirectories": ["./services/auth","./services/home"],
  "editor.suggestSelection": "first",
  "editor.snippetSuggestions": "top",
  "editor.scrollBeyondLastLine": false,
  "javascript.preferences.importModuleSpecifier": "non-relative"
}
